TYPE VESAmodeTYPE
  Attributes   AS WORD  '00 mode attributes (see #0078)
  WindowA      AS BYTE  '02 window attributes, window A (see #0079)
  WindowB      AS BYTE  '03 window attributes, window B (see #0079)
  Granularity  AS WORD  '04 window granularity in KB
  WindowSize   AS WORD  '06 window size in KB
  WinAsegment  AS WORD  '08 start segment of window A
  WinBsegment  AS WORD  '10 start segment of window B
  WinPosition  AS DWORD '12 -> FAR window positioning function (AX=4F05h)
  bpScanLine   AS WORD  '16 bytes per scan line
                        '   optional for VESA  v1.0/1.1, needed for OEM modes---
  MaxWide      AS WORD  '18 width in pixels (graphics) or characters (text)
  MaxHigh      AS WORD  '20 height in pixels (graphics) or characters (text)
  CharCellWide AS BYTE  '22 width of character cell in pixels
  CharCellHigh AS BYTE  '23 height of character cell in pixels
  MaxPlane     AS BYTE  '24 number of memory planes
  BitsPerPixel AS BYTE  '25 number of bits per pixel
  MaxBank      AS BYTE  '26 number of banks
  MemoryModel  AS BYTE  '27 memory model type (see #0080)
  BankSizeKB   AS BYTE  '28 size of bank in KB
  MaxPage      AS BYTE  '29 number of image pages
  Reserved     AS BYTE  '30 reserved (0)
                        '--- VBE v1.2 ---
  RedMask      AS BYTE  '31 red mask size
  RedField     AS BYTE  '32 red field position
  GreenMask    AS BYTE  '33 green mask size
  GreenField   AS BYTE  '34 green field size
  BlueMask     AS BYTE  '35 blue mask size
  BlueField    AS BYTE  '36 blue field size
  ResMask      AS BYTE  '37 reserved mask size
  ResMaskPosn  AS BYTE  '38 reserved mask position
  DirColorInfo AS BYTE  '39 direct color mode info
                        '   bit 0: color ramp is programmable
                        '   bit 1: bytes in reserved field may be used
                        '   ---VBE v2.0 ---
  LinearBuf    AS DWORD '40 physical address of linear video buffer
  OffScrnPTR   AS DWORD '44 pointer to start of offscreen memory
  OffScrnSize  AS WORD  '48 KB of offscreen memory
  Reserved2    AS STRING * 206
END TYPE
